> For the complete documentation index, see [llms.txt](https://docs.ont.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ont.io/developer-tools/cyano-wallet/mobile-version-provider.md).

# Mobile version provider

`Cyano` mobile is the `mobile provider`'s standardized open source implementation, and it follows the `CEP-1` proposal. The `PC` version of the `dAPI` has been extended to the mobile version, covering the three usage scenarios:

* Integrated the `dAPI-mobile` QR code scanning mechanism to login and invoke smart contracts
* Integrated `cyano-SDK` `dApp` wake call mechanism
* Integrated the `dAPI-mobile` embedded `dApp` login and smart contract invocation method mechanism

In the `cyano-mobile` app, the `dApp` data request `URL` follows the `CEP-1` standard:

```java
import android.net.Uri;
import android.util.Base64;

import com.alibaba.fastjson.JSON;

String param = Base64.encodeToString(Uri.encode(JSON.toJSONString(map)).getBytes(), Base64.NO_WRAP).toString();
String url = "ontprovider://ont.io?param=".concat(param);
```

Ontology has implemented and made CEP-1 standard wallets available:

* [Android](https://github.com/ontio-cyano/cyano-android) version wallet
* [iOS](https://github.com/ontio-cyano/cyano-ios) version wallet


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ont.io/developer-tools/cyano-wallet/mobile-version-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
